## minbif 1.0.5+git20150505

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(minbif)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules ${CMAKE_MODULE_PATH} )

INCLUDE(FindPkgConfig)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)

if (DEBUG)
  message(STATUS "Configuring for debug")
  ADD_DEFINITIONS(-DDEBUG -Werror)
  SET(CMAKE_BUILD_TYPE Debug)
else (DEBUG)
  message(STATUS "Configuring for release")
  SET(CMAKE_BUILD_TYPE Release)
endif (DEBUG)

PKG_CHECK_MODULES(PURPLE REQUIRED purple>=2.5)

IF(NOT PURPLE_FOUND)
	MESSAGE(FATAL_ERROR "Please install the purple library (version >=2.5).")
ENDIF(NOT PURPLE_FOUND)

OPTION(ENABLE_MINBIF "Enable minbif compilation" ON)
IF(ENABLE_MINBIF)
	PKG_CHECK_MODULES(GTHREAD REQUIRED gthread-2.0)

	OPTION(ENABLE_IMLIB "Use imlib library" ON)
	IF(ENABLE_IMLIB)
		PKG_CHECK_MODULES(IMLIB imlib2>=1.0)

		IF(IMLIB_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_IMLIB")

			INCLUDE(FindX11)
			IF(NOT X11_FOUND)
				ADD_DEFINITIONS(-DX_DISPLAY_MISSING)
			ENDIF(NOT X11_FOUND)
		ELSE(IMLIB_FOUND)
			MESSAGE(FATAL_ERROR "Unable to find the imlib2 library. To disable use of imlib2, run 'make ENABLE_IMLIB=OFF'")
		ENDIF(IMLIB_FOUND)
	ENDIF(ENABLE_IMLIB)

	OPTION(ENABLE_CACA "Enable libcaca library" ON)
	IF(ENABLE_CACA)
		IF(NOT ENABLE_IMLIB)
			MESSAGE(FATAL_ERROR "You need to enable IMLIB to enable CACA")
		ENDIF(NOT ENABLE_IMLIB)
		PKG_CHECK_MODULES(CACA caca>=0.99)

		IF(CACA_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_CACA")
		ELSE(CACA_FOUND)
			MESSAGE(FATAL_ERROR "Unable to find the libcaca library. To disable caca output, run 'make ENABLE_CACA=OFF'")
		ENDIF(CACA_FOUND)

		PKG_CHECK_MODULES(NEWCACA caca>=0.99.beta17)
		IF(NOT NEWCACA_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_OLD_CACA")
		ENDIF(NOT NEWCACA_FOUND)
	ENDIF(ENABLE_CACA)

	OPTION(ENABLE_VIDEO "Enable video support" ON)
	IF(ENABLE_VIDEO)
		IF(NOT ENABLE_CACA)
			MESSAGE(FATAL_ERROR "You need to enable CACA to enable VIDEO")
		ENDIF(NOT ENABLE_CACA)
		PKG_CHECK_MODULES(GSTREAMER gstreamer-0.10>=0.10.10 gstreamer-interfaces-0.10>=0.10)
		PKG_CHECK_MODULES(FARSIGHT farsight2-0.10>=0.0.9)
		PKG_CHECK_MODULES(PURPLE_26 purple>=2.6.1)
		IF(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_VIDEO")
		ELSE(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
			MESSAGE(FATAL_ERROR "Dependencies for video were not met. Install gstreamer, farsight and libpurple>=2.6 first. Or to disable video, run 'make ENABLE_VIDEO=0'")
		ENDIF(GSTREAMER_FOUND AND PURPLE_26_FOUND AND FARSIGHT_FOUND)
	ENDIF(ENABLE_VIDEO)

	OPTION(ENABLE_PAM "Enable PAM support" ON)
	IF (ENABLE_PAM)
		find_package(PAM)

		IF (PAM_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_PAM")
		ELSE (PAM_FOUND)
			MESSAGE(FATAL_ERROR "Dependencies for PAM were not met. Install libpam-dev. Or to disable PAM support, run 'make ENABLE_PAM=0'")
		ENDIF (PAM_FOUND)
	ENDIF (ENABLE_PAM)

	OPTION(ENABLE_TLS "Enable TLS support" ON)
	IF (ENABLE_TLS)
		PKG_CHECK_MODULES(GNUTLS REQUIRED "gnutls")
		IF (GNUTLS_FOUND)
			SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_TLS")
		ENDIF (GNUTLS_FOUND)
	ENDIF (ENABLE_TLS)

	SET(CONF_NAME minbif.conf)
	SET(MOTD_NAME minbif.motd)

	IF(NOT MAN_PREFIX)
		SET(MAN_PREFIX ${CMAKE_INSTALL_PREFIX}/share/man/man8/)
	ENDIF(NOT MAN_PREFIX)
	IF(NOT CONF_PREFIX)
		SET(CONF_PREFIX ${CMAKE_INSTALL_PREFIX}/etc/minbif)
	ENDIF(NOT CONF_PREFIX)
	IF(NOT DOC_PREFIX)
		SET(DOC_PREFIX ${CMAKE_INSTALL_PREFIX}/share/doc/minbif)
	ENDIF(NOT DOC_PREFIX)

	INSTALL(FILES man/minbif.8
		DESTINATION ${MAN_PREFIX})
	INSTALL(FILES COPYING README
		DESTINATION ${DOC_PREFIX})
	INSTALL(DIRECTORY doc/
		DESTINATION ${DOC_PREFIX})
	INSTALL(FILES ${CONF_NAME} ${MOTD_NAME}
		DESTINATION ${CONF_PREFIX})

ENDIF(ENABLE_MINBIF)

OPTION(ENABLE_PLUGIN "Enable plugin build" OFF)
IF(ENABLE_PLUGIN)
	PKG_CHECK_MODULES(LIBXML REQUIRED libxml-2.0>=2.5)
ENDIF(ENABLE_PLUGIN)

INCLUDE_DIRECTORIES(${PURPLE_INCLUDE_DIRS} ${GTHREAD_INCLUDE_DIRS} ${CACA_INCLUDE_DIRS} ${IMLIB_INCLUDE_DIRS} ${GSTREAMER_INCLUDE_DIRS} ${FARSIGHT_INCLUDE_DIRS} ${LIBXML_INCLUDE_DIRS} ${PAM_INCLUDE_DIRS} ${GNUTLS_INCLUDE_DIRS} "src/")
LINK_DIRECTORIES(${PURPLE_LIBRARY_DIRS} ${GTHREAD_LIBRARY_DIRS} ${CACA_LIBRARY_DIRS} ${IMLIB_LIBRARY_DIRS} ${GSTREAMER_LIBRARY_DIRS} ${FARSIGHT_LIBRARY_DIRS} ${LIBXML_LIBRARY_DIRS} ${GNUTLS_LIBRARY_DIRS})

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Wall -Wextra -Wno-unused-parameter")
SET(CMAKE_CXX_FLAGS ${CMAKE_C_FLAGS})

IF(ENABLE_MINBIF)
	add_subdirectory(src)
ENDIF(ENABLE_MINBIF)

IF(ENABLE_PLUGIN)
	add_subdirectory(plugins)
ENDIF(ENABLE_PLUGIN)

MESSAGE(STATUS "Using compiler ${CMAKE_CXX_COMPILER}")
MESSAGE(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

=== plugins/CMakeLists.txt ===
add_subdirectory(lib)

OPTION(ENABLE_PLUGIN_COINCOIN "Enable coincoin plugin build" ON)
IF(ENABLE_PLUGIN_COINCOIN)
    add_subdirectory(coincoin)
ENDIF(ENABLE_PLUGIN_COINCOIN)

OPTION(ENABLE_PLUGIN_GAYATTITUDE "Enable coincoin plugin build" ON)
IF(ENABLE_PLUGIN_GAYATTITUDE)
    add_subdirectory(gayattitude)
ENDIF(ENABLE_PLUGIN_GAYATTITUDE)

=== plugins/coincoin/CMakeLists.txt ===
ADD_LIBRARY(coincoin SHARED
		coincoin.c
		message.c
		)

TARGET_LINK_LIBRARIES(coincoin ${PURPLE_LIBRARIES} pluginlib)
INSTALL(TARGETS coincoin
	DESTINATION lib/purple-2)

=== debian/changelog ===
minbif (1:1.0.5+git20150505-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:19:48 +0100

minbif (1:1.0.5+git20150505-3) unstable; urgency=medium

  * Switch to DEP 14

 -- Sebastien Delafond <seb@debian.org>  Tue, 06 Feb 2018 09:32:09 +0100

minbif (1:1.0.5+git20150505-2) unstable; urgency=medium

  * Bump up Standards-Version
  * Update debian/watch
  * Update Vcs-* to point to salsa.d.o
  * Remove unused patches
  * Update debian/copyright
  * Remove extra whitespaces in debian/{changelog,control}
  * Remove -dbg package
  * More lintian fixes

 -- Sebastien Delafond <seb@debian.org>  Wed, 24 Jan 2018 13:27:06 +0100

minbif (1:1.0.5+git20150505-1) unstable; urgency=medium

  * New upstream version (Closes: #782825)
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 10 May 2015 18:14:00 +0200

minbif (1:1.0.5+git20120508-4) unstable; urgency=medium

  * Move git repository to alioth's collab-maint
  * Use standard dpkg-buildflags, and inject CPPFLAGS so cmake uses them
  * Move to debian/compat 9
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Fri, 03 Oct 2014 10:50:53 +0200

minbif (1:1.0.5+git20120508-3) unstable; urgency=medium

  * Build against libgnutls28-dev (Closes: #753130)

 -- Sebastien Delafond <seb@debian.org>  Sun, 29 Jun 2014 16:30:37 +0200

=== debian/control ===
Source: minbif
Section: net
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9~), cmake, libimlib2-dev, libpurple-dev (>= 2.6.1), libxml2-dev (>= 2.5), libcaca-dev, libgnutls28-dev, libpam0g-dev
Standards-Version: 4.1.3
Homepage: http://symlink.me/wiki/minbif
Vcs-Git: https://salsa.debian.org/debian/minbif.git
Vcs-Browser: https://salsa.debian.org/debian/minbif.git

Package: minbif-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, tcpd
Suggests: openbsd-inetd | inet-superserver
Description: IRC-to-other-IM-networks gateway using Pidgin library (common files)
 Minbif is an IRC gateway to IM networks which provides the following features:
  * Minbif uses a library which abstracts all IM calls, and has several
    plugins to support more than 15 IM protocols (IRC included!);
  * Two modes: inetd and daemon fork;
  * Only IRC commands are used to control Minbif;
  * Certificates check;
  * Buddies are IRC users;
  * Each account has a status channel. You see in all connected
    buddies, and their status on it;
  * Add and remove buddies from list with /INVITE and /KICK commands;
  * Blocked users are bans on the account's status channel;
  * Display when a buddy is typing a message;
  * Can chat with someone who is not in your buddy list;
  * You can see buddies' icons (with libcaca) or download them;
  * DCC SEND an image to set your icon on IM networks;
  * Display extended information about buddies with /WII command;
  * Support away messages;
  * Can send and receive files, which are sent or received to/from your
    IRC client with DCC SEND;
  * Conversation channels are supported;
  * Auto\-rejoin conversation channels at connection;
  * Display list of channels on an IM account with /LIST;
  * irssi scripts to increase your user experience of minbif;
  * CoinCoin plugin for libpurple.
 .
 This package contains the documentation and common plugins.

Package: minbif
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, minbif-common
Conflicts: minbif-webcam
Description: IRC-to-other-IM-networks gateway using Pidgin library
 Minbif is an IRC gateway to IM networks which provides the following features:
  * Minbif uses a library which abstracts all IM calls, and has several
    plugins to support more than 15 IM protocols (IRC included!);
  * Two modes: inetd and daemon fork;
  * Only IRC commands are used to control Minbif;
  * Certificates check;
  * Buddies are IRC users;
  * Each account has a status channel. You see in all connected
    buddies, and their status on it;
  * Add and remove buddies from list with /INVITE and /KICK commands;
  * Blocked users are bans on the account's status channel;
  * Display when a buddy is typing a message;
  * Can chat with someone who is not in your buddy list;
  * You can see buddies' icons (with libcaca) or download them;
  * DCC SEND an image to set your icon on IM networks;
  * Display extended information about buddies with /WII command;
  * Support away messages;
  * Can send and receive files, which are sent or received to/from your
    IRC client with DCC SEND;
  * Conversation channels are supported;
  * Auto\-rejoin conversation channels at connection;
  * Display list of channels on an IM account with /LIST;
  * irssi scripts to increase your user experience of minbif;
  * CoinCoin plugin for libpurple.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

COMMON_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr -DCONF_PREFIX=/etc/minbif -DENABLE_CACA=ON -DENABLE_VIDEO=OFF -DENABLE_PLUGIN=ON -DENABLE_PAM=ON -DENABLE_TLS=ON -DCMAKE_C_FLAGS="$(CFLAGS)" -DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON

builddir/Makefile:
	dh_testdir
	mkdir -p builddir
	cd builddir && cmake .. $(COMMON_FLAGS)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  builddir/Makefile
	dh_testdir
	$(MAKE) -C builddir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf builddir build.minbif
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	$(MAKE) -C builddir DESTDIR=$(CURDIR)/debian/minbif install

	mkdir -p $(CURDIR)/debian/minbif-common/usr/share/
	mv $(CURDIR)/debian/minbif/usr/share/* $(CURDIR)/debian/minbif-common/usr/share/
	mv $(CURDIR)/debian/minbif-common/usr/share/doc/minbif $(CURDIR)/debian/minbif-common/usr/share/doc/minbif-common
	mv $(CURDIR)/debian/minbif/usr/lib $(CURDIR)/debian/minbif-common/usr/
	mv $(CURDIR)/debian/minbif/etc/* $(CURDIR)/debian/minbif-common/etc/

	cp -r $(CURDIR)/scripts $(CURDIR)/debian/minbif-common/usr/share/minbif

	find  $(CURDIR)/debian -name .git -exec rm "{}" \;

	rm -f $(CURDIR)/debian/minbif*/usr/share/doc/minbif-common/COPYING*
	rm -rf $(CURDIR)/debian/minbif/usr/share

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -p minbif-common ChangeLog
	dh_installdocs -X CMakeLists.txt --link-doc=minbif-common
	dh_installexamples -p minbif-common
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit -p minbif-common --init-script=minbif --no-restart-on-upgrade
#	dh_installcron
#	dh_installinfo
	dh_installman -p minbif-common
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
